Query Information of Multiple Message Queues
Query the detailed information of multiple message queues.
Request URL
GET {base_url}/{api_path}/message_queue/query?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| ids | Yes | String | The unique ID(s) of the message queue(s).Note:
|
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| list | Array<Msg_Queue> | The detailed information of the message queues. |
Msg_Queue
| Parameter | Type | Description |
|---|---|---|
| id | Integer | The unique ID of the message queue. |
| name | String | The name of the message queue. |
| members | Array<Members> | The information of the agents in the message queue. |
| assignment_mode | String | The assignment mode of chat sessions sent to the message queue.
|
Members
| Parameter | Type | Description |
|---|---|---|
| id | Integer | The ID of the agent. |
| extension_id | Integer | The ID of the agent's extension. |
| ext_num | String | The number of the agent's extension. |
| caller_id_name | String | The name of the agent. |
Examples
Request example
GET /openapi/v1.0/message_queue/query?ids=3,4&access_token=MWB7Ka8nIT32AmO0a5K5PvGx7Iz43mG7 HTTP/1.1 Host: 192.168.5.150:8088
Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"list": [
{
"id": 3,
"name": "PreSales Consult Queue",
"members": [
{
"id": 7,
"extension_id": 39,
"ext_num": "59996",
"caller_id_name": "James Smith"
},
{
"id": 8,
"extension_id": 23,
"ext_num": "59998",
"caller_id_name": "Robert Williams"
},
{
"id": 9,
"extension_id": 10,
"ext_num": "59999",
"caller_id_name": "Michael Brown"
}
],
"assignment_mode": "manual"
},
{
"id": 4,
"name": "After Sales Service Queue",
"members": [
{
"id": 10,
"extension_id": 6,
"ext_num": "5000",
"caller_id_name": "Jessica Carter"
},
{
"id": 16,
"extension_id": 15,
"ext_num": "5001",
"caller_id_name": "Emily Foster"
},
{
"id": 107,
"extension_id": 24,
"ext_num": "5002",
"caller_id_name": "David Parker"
},
{
"id": 108,
"extension_id": 29,
"ext_num": "5003",
"caller_id_name": "Sarah Bennett"
},
{
"id": 110,
"extension_id": 55,
"ext_num": "5013",
"caller_id_name": "Andrew Thompson"
}
],
"assignment_mode": "manual"
}
]
}